Bug 1268375 - [Docs] [Director] Director Installation and Usage guide states VLANs are required for installation.
[Docs] [Director] Director Installation and Usage guide states VLANs are requ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
medium Severity low
: async
: 7.0 (Kilo)
Assigned To: Dan Macpherson
: Documentation, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-02 13:29 EDT by Ted Brunell
Modified: 2015-10-07 21:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-07 21:47:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ted Brunell 2015-10-02 13:29:36 EDT
Description of problem:
Chapter 2.3 of the Director Installation and Usage Guide states VLANs are required for the installation of RHELOSP via the director.  This is not really a requirement as networks can be isolated using physical NICs without implementing VLANs. 

The line "Note the following:" should maybe be changed to "Network isolation can be achieved using physical separation of services, meaning different services will reside on different physical NICs, or through VLAN separation.  If VLAN separation is chosen, please not the following:"  

Version-Release number of selected component (if applicable):
7.0
Comment 2 Andrew Dahms 2015-10-02 15:29:57 EDT
Assigning to Dan for review.
Comment 3 Dan Macpherson 2015-10-05 23:54:13 EDT
Just to note: Section 2.3 doesn't specifically say VLANs are required. However, I think the following lines give that impression:

* All machines require at least two NICs. One NIC is used for the Provisioning network through a native VLAN. The other NIC is used for tagged VLANs that use subnets for the different Overcloud network types.

* The network infrastructure requires a switch that supports 802.1Q standards to provide tagged VLANs. 

* Additional NICs can be used to create bonded interfaces or for delegating tagged VLAN traffic. 

In addition to the suggestion from Ted, I think we'll need to rewrite these lines so that they're not specific to a VLAN configured Overcloud.
Comment 5 Dan Macpherson 2015-10-06 21:57:19 EDT
This is live on the portal now:

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/Director_Installation_and_Usage/sect-Networking_Requirements.html

Ted, do the changes I've made reflect the requirements of this BZ? Did you have any further suggestions??
Comment 6 Ted Brunell 2015-10-07 08:36:43 EDT
(In reply to Dan Macpherson from comment #5)
> This is live on the portal now:
> 
> https://access.redhat.com/documentation/en-US/
> Red_Hat_Enterprise_Linux_OpenStack_Platform/7/html/
> Director_Installation_and_Usage/sect-Networking_Requirements.html
> 
> Ted, do the changes I've made reflect the requirements of this BZ? Did you
> have any further suggestions??

Dan, the changes look great.  Thanks.
Comment 7 Dan Macpherson 2015-10-07 21:47:49 EDT
Cool. Closing this bug.

Note You need to log in before you can comment on or make changes to this bug.